org.eclipse.incquery.runtime.rete.recipes

## Interface ExpressionEnforcerRecipe

- All Superinterfaces:
    AlphaRecipe, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReteNodeRecipe, SingleParentNodeRecipe
  All Known Subinterfaces:
    CheckRecipe, EvalRecipe
  All Known Implementing Classes:
    CheckRecipeImpl, EvalRecipeImpl, ExpressionEnforcerRecipeImpl

      public interface ExpressionEnforcerRecipe
      extends AlphaRecipe

  A representation of the model object 'Expression Enforcer Recipe'. type RuntimeExpressionEvaluator wraps org.eclipse.incquery.runtime.matchers.psystem.IExpressionEvaluator class RuntimeExpressionDefinition extends ExpressionDefinition { RuntimeExpressionEvaluator evaluator }

  The following features are supported:

  - `Expression`
  - `Mapped Indices`
  See Also:
    `RecipesPackage.getExpressionEnforcerRecipe()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionDefinition` | `getExpression()` Returns the value of the 'Expression' containment reference.
    `org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer>` | `getMappedIndices()` Returns the value of the 'Mapped Indices' map.
    `void` | `setExpression(ExpressionDefinition value)` Sets the value of the '`Expression`' containment reference.

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.recipes.SingleParentNodeRecipe

      `getParent, setParent`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.recipes.ReteNodeRecipe

      `getArity, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getExpression

          ExpressionDefinition getExpression()

      Returns the value of the 'Expression' containment reference. Provides traceability to expression representation.
      Returns:
        the value of the 'Expression' containment reference.
      See Also:
        `setExpression(ExpressionDefinition)`, `RecipesPackage.getExpressionEnforcerRecipe_Expression()`

    - #### setExpression

          void setExpression(ExpressionDefinition value)

      Sets the value of the '`Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Expression' containment reference.
      See Also:
        `getExpression()`

    - #### getMappedIndices

          org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer> getMappedIndices()

      Returns the value of the 'Mapped Indices' map. The key is of type `String`, and the value is of type `Integer`, String -> Index map. Maps variable names in the expression to tuple indices.
      Returns:
        the value of the 'Mapped Indices' map.
      See Also:
        `RecipesPackage.getExpressionEnforcerRecipe_MappedIndices()`